summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 11:56:18 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2012-08-22 11:56:18 -0400
commitec3ed4f68e9247e9e27c853bf104495027983881 (patch)
tree7feccbbce429dfb18da452ae798ede6497e79dcb /.local
parente9f7fef7880b7f37c9da0b2be5e1ab5b08b23f6c (diff)
parent510fea7116c6bd01824af38b4e516b6e19fded81 (diff)
Merge branch 'master' of git://gitorious.org/lukeshu-dotfiles/lukeshu-dotfiles
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/notifyd14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/bin/notifyd b/.local/bin/notifyd
new file mode 100755
index 0000000..ddd5971
--- /dev/null
+++ b/.local/bin/notifyd
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+connected_to_x_server() {
+ xdpyinfo &>/dev/null
+ return $?
+}
+
+start_backend() {
+ /usr/lib/xfce4/notifyd/xfce4-notifyd
+}
+
+while connected_to_x_server; do
+ start_backend
+done